//function BrowserDetect.init()

var BrowserDetect =
    {
        init: function () {
            this.browser = this.searchString(this.dataBrowser) || "An unknown browser";
            this.version = this.searchVersion(navigator.userAgent)
                || this.searchVersion(navigator.appVersion)
                || "an unknown version";
            this.OS = this.searchString(this.dataOS) || "an unknown OS";
        },
        searchString: function (data) {
            for (var i=0;i<data.length;i++)	{
                var dataString = data[i].string;
                var dataProp = data[i].prop;
                this.versionSearchString = data[i].versionSearch || data[i].identity;
                if (dataString) {
                    if (dataString.indexOf(data[i].subString) != -1)
                        return data[i].identity;
                }
                else if (dataProp)
                    return data[i].identity;
            }
        },
        searchVersion: function (dataString) {
            var index = dataString.indexOf(this.versionSearchString);
            if (index == -1) return;
            return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
        },
        dataBrowser: [
            {
                string: navigator.userAgent,
                subString: "Chrome",
                identity: "Chrome"
            },
            { 	string: navigator.userAgent,
                subString: "OmniWeb",
                versionSearch: "OmniWeb/",
                identity: "OmniWeb"
            },
            {
                string: navigator.vendor,
                subString: "Apple",
                identity: "Safari",
                versionSearch: "Version"
            },
            {
                prop: window.opera,
                identity: "Opera"
            },
            {
                string: navigator.vendor,
                subString: "iCab",
                identity: "iCab"
            },
            {
                string: navigator.vendor,
                subString: "KDE",
                identity: "Konqueror"
            },
            {
                string: navigator.userAgent,
                subString: "Firefox",
                identity: "Firefox"
            },
            {
                string: navigator.vendor,
                subString: "Camino",
                identity: "Camino"
            },
            {		// for newer Netscapes (6+)
                string: navigator.userAgent,
                subString: "Netscape",
                identity: "Netscape"
            },
            {
                string: navigator.userAgent,
                subString: "MSIE",
                identity: "Explorer",
                versionSearch: "MSIE"
            },
            {
                string: navigator.userAgent,
                subString: "Gecko",
                identity: "Mozilla",
                versionSearch: "rv"
            },
            { 		// for older Netscapes (4-)
                string: navigator.userAgent,
                subString: "Mozilla",
                identity: "Netscape",
                versionSearch: "Mozilla"
            }
        ],
        dataOS : [
            {
                string: navigator.platform,
                subString: "Win",
                identity: "Windows"
            },
            {
                string: navigator.platform,
                subString: "Mac",
                identity: "Mac"
            },
            {
                   string: navigator.userAgent,
                   subString: "iPhone",
                   identity: "iPhone/iPod"
            },
            {
                string: navigator.platform,
                subString: "Linux",
                identity: "Linux"
            }
        ]

    };
    BrowserDetect.init();

    currBrowser = BrowserDetect.browser;
    currBrowserVersion = BrowserDetect.version;
    if (currBrowser == "Explorer" && currBrowserVersion < 8 )
    {
        currBrowser = "Internet Explorer";
        document.write('<h3>Browser Warning!</h3><p>You\'re using ' + currBrowser + ' version ' + currBrowserVersion + '. This site will not display properly as your version of ' + currBrowser + ' is not fully compliant with current web standards. Please upgrade, preferrably to the current version of <a href="http://www.opera.com/download/">Opera</a> or <a href="http://www.mozilla.com/en-US/firefox/" >Firefox</a>.</p>');
    }
    else if (currBrowser == "Explorer" && currBrowserVersion >= 8 )
    {
        currBrowser = "Internet Explorer";
        document.write('<h3>Browser Warning!</h3><p>You\'re using ' + currBrowser + ' version ' + currBrowserVersion + '. This site should display properly as your version of ' + currBrowser + ' is mostly compliant with current web standards, although I would prefer you to upgrade to the current version of <a href="http://www.opera.com/download/">Opera</a> or <a href="http://www.mozilla.com/en-US/firefox/" >Firefox</a>.</p>');
    }
    else if (currBrowser == "Opera" || currBrowser == "Firefox" )
    {
        currBrowser = "OK";
    }
    else if (currBrowser == "Chrome")
    {
        document.write('<h3>Browser Warning!</h3><p>You\'re using ' + currBrowser + ' version ' + currBrowserVersion + '. This site should display properly as ' + currBrowser + ' is mostly compliant with current web standards but may exhibit occasional quirkiness. If it does I suggest you upgrade to the current version of <a href="http://www.opera.com/download/">Opera</a> or <a href="http://www.mozilla.com/en-US/firefox/" >Firefox</a>.</p>');
    }
    else
    {
        document.write('<h3>Browser Warning!</h3><p>You\'re using ' + currBrowser + ' version ' + currBrowserVersion + '. This site may not display properly as ' + currBrowser + ' may not be fully compliant with current web standards. Please upgrade, preferrably to the current version of <a href="http://www.opera.com/download/">Opera</a> or <a href="http://www.mozilla.com/en-US/firefox/" >Firefox</a>.</p>');
    }
    //document.write('<p>The browser you\'re using is fine.</p>');
